# ---------------------------------------------------------------------------
VERSION = BCB.01
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = TDx_Input_Library_Build.exe
OBJFILES = TDx_Input_Library_Build.obj \
   ..\..\..\Source\TDx_Library_Functions.obj \
   ..\..\..\Source\TDx_Library_Defns.obj \
   ..\..\Source\TDx_Input_Library_Defns.obj \
   ..\..\Source\TDx_Input_Library_Functions.obj \
   ..\..\Source\TDICondition.obj \
   ..\..\Source\TDIConstantForce.obj \
   ..\..\Source\TDICustomForce.obj \
   ..\..\Source\TDIDataFormat.obj \
   ..\..\Source\TDIDevCaps.obj \
   ..\..\Source\TDIDeviceInstance.obj \
   ..\..\Source\TDIDeviceObjectData.obj \
   ..\..\Source\TDIDeviceObjectInstance.obj \
   ..\..\Source\TDIEffEscape.obj \
   ..\..\Source\TDIEffect.obj \
   ..\..\Source\TDIEffectInfo.obj \
   ..\..\Source\TDIEnvelope.obj \
   ..\..\Source\TDIFileEffect.obj \
   ..\..\Source\TDIJoyState.obj \
   ..\..\Source\TDIJoyState2.obj \
   ..\..\Source\TDIKeyboardState.obj \
   ..\..\Source\TDIMouseState.obj \
   ..\..\Source\TDIMouseState2.obj \
   ..\..\Source\TDIObjectDataFormat.obj \
   ..\..\Source\TDIPeriodic.obj \
   ..\..\Source\TDIPropDWORD.obj \
   ..\..\Source\TDIPropGuidAndPath.obj \
   ..\..\Source\TDIPropHeader.obj \
   ..\..\Source\TDIPropRange.obj \
   ..\..\Source\TDIPropString.obj \
   ..\..\Source\TDIRampForce.obj \
   ..\..\Source\TDx_Input.obj \
   ..\..\Source\TDx_InputDevice.obj \
   ..\..\Source\TDx_InputEffect.obj \
   ..\..\Source\TDx_Input_Library_Install.obj
RESFILES =
RESDEPEN = $(RESFILES)
LIBFILES =
DEFFILE =
# ---------------------------------------------------------------------------
CFLAG1 = -O2 -Hc -w -k- -r -vi -c -a4 -b- -w-par -w-inl -Vx -Ve -x
CFLAG2 = -I..\..\Source;..\..\..\Source;$(BCB)\include;$(BCB)\include\vcl \
   -H=$(BCB)\lib\vcl.csm
PFLAGS = -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
   -U..\..\Source;..\..\..\Source;$(BCB)\lib\obj;$(BCB)\lib \
   -I..\..\Source;..\..\..\Source;$(BCB)\include;$(BCB)\include\vcl \
   -$U -$L- -$D- $Y -JPHNV -M
RFLAGS = -i..\..\Source;..\..\..\Source;$(BCB)\include;$(BCB)\include\vcl
LFLAGS = -L..\..\Source;..\..\..\Source;$(BCB)\lib\obj;$(BCB)\lib \
   -aa -Tpe -x -V4.0
IFLAGS =
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0w32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) vcl.lib import32.lib cp32mt.lib
# ---------------------------------------------------------------------------
.autodepend

$(PROJECT): $(OBJFILES) $(RESDEPEN)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES)
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $*

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<
#-----------------------------------------------------------------------------
