#ifndef TDx_Input_Library_DefnsH
#define TDx_Input_Library_DefnsH

// ==========================================================================
// File:        TDx_Input_Library_Defns.H
// Description: This file contains standard definitions used with the
//              TDx_Input_Library components.
//
// "TDx_Input_Library"
// (c) 2002, BCB-Tools.com Pty. Ltd., Sydney, Australia.
// All Rights Reserved.
//
// Refer to the 'Licence.Txt' file for licencing & copyright information.
// ==========================================================================

#include "dinput.h"

//---------------------------------------------------------------------------
// Define a very useful keyboard structure
//---------------------------------------------------------------------------
struct DIKEYBOARDSTATE {
BYTE bKeys[256];
};

//---------------------------------------------------------------------------
// The following parent classes limit the extent of Object Inspector 
// drop-down component selection to only the relevant components.
//---------------------------------------------------------------------------
class TDIForce : public TComponent 
{
public:
    __fastcall TDIForce(TComponent* Owner) : TComponent(Owner) {}
    virtual __fastcall ~TDIForce() {}
};
//---------------------------------------------------------------------------
class TDIData : public TComponent
{
public:
    __fastcall TDIData(TComponent* Owner) : TComponent(Owner) {}
    virtual __fastcall ~TDIData() {}
};
//---------------------------------------------------------------------------
class TDIProperty : public TComponent
{
public:
    __fastcall TDIProperty(TComponent* Owner) : TComponent(Owner) {}
    virtual __fastcall ~TDIProperty() {}
};
//---------------------------------------------------------------------------

#endif
