
// ==========================================================================
// File:        TDx_Input_Library_Defns.CPP
// Description: This file implements standard definitions used with the
//              TDx_Input_Library components.
//
// "TDx_Input_Library"
// (c) 2002, BCB-Tools.com Pty. Ltd., Sydney, Australia.
// All Rights Reserved.
//
// Refer to the 'Licence.Txt' file for licencing & copyright information.
// ==========================================================================

#include <vcl\vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
#include "TDx_Input_Library_Defns.H"
//---------------------------------------------------------------------------

// note: the c_dfDIMouse2 data seems to be missing from the SDK library files
//       this is a quick and simple patch needed to create the required data.

DIOBJECTDATAFORMAT c_dfDIMouse2Data[11] =
    {
    { &GUID_XAxis, 0, DIDFT_AXIS | DIDFT_ANYINSTANCE, 0 },
    { &GUID_YAxis, 4, DIDFT_AXIS | DIDFT_ANYINSTANCE, 0 },
    { &GUID_ZAxis, 8, DIDFT_AXIS | DIDFT_ANYINSTANCE, 0 },

    { &GUID_Button, 12, DIDFT_BUTTON | DIDFT_ANYINSTANCE, 0 },
    { &GUID_Button, 13, DIDFT_BUTTON | DIDFT_ANYINSTANCE, 0 },
    { &GUID_Button, 14, DIDFT_BUTTON | DIDFT_ANYINSTANCE, 0 },
    { &GUID_Button, 15, DIDFT_BUTTON | DIDFT_ANYINSTANCE, 0 },

    { &GUID_Button, 16, DIDFT_BUTTON | DIDFT_ANYINSTANCE, 0 },
    { &GUID_Button, 17, DIDFT_BUTTON | DIDFT_ANYINSTANCE, 0 },
    { &GUID_Button, 18, DIDFT_BUTTON | DIDFT_ANYINSTANCE, 0 },
    { &GUID_Button, 19, DIDFT_BUTTON | DIDFT_ANYINSTANCE, 0 }
    };

const DIDATAFORMAT c_dfDIMouse2 =
    {
    sizeof(DIDATAFORMAT),
    sizeof(DIOBJECTDATAFORMAT),
    DIDF_ABSAXIS,
    sizeof(DIMOUSESTATE2),
    11,
    c_dfDIMouse2Data
    };

//---------------------------------------------------------------------------
