// --------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

// ==========================================================================
// File:         TDx_Input_Library_Install.CPP
// Authors:      BCB_Code_Generator v1.70,Darren Dwyer
// Description:  This file links all files required by the TDx_Input_Library 
//               v1.70. 
//
// "TDx_Input_Library v1.70"
// (c) 2003 BCB-Tools.com Pty. Ltd., Sydney, Australia.
// All Rights Reserved.
//
// Refer to the 'Licence.Txt' file for licencing & copyright information.
// ==========================================================================

#include "TDx_Input_Library_Install.H"
// --------------------------------------------------------------------------
#pragma resource "TDx_Input_Library_Icons.res"
// --------------------------------------------------------------------------
#pragma link "dxguid.lib"
// --------------------------------------------------------------------------
#pragma link "dinput1.lib"
#pragma link "dinput2.lib"
// --------------------------------------------------------------------------
#pragma link "TDx_Library_Defns"
#pragma link "TDx_Library_Functions"
#pragma link "TDx_Input_Library_Defns"
#pragma link "TDx_Input_Library_Functions"
// --------------------------------------------------------------------------
#pragma link "TDICondition"
#pragma link "TDIConstantForce"
#pragma link "TDICustomForce"
#pragma link "TDIDataFormat"
#pragma link "TDIDevCaps"
#pragma link "TDIDeviceInstance"
#pragma link "TDIDeviceObjectData"
#pragma link "TDIDeviceObjectInstance"
#pragma link "TDIEffEscape"
#pragma link "TDIEffect"
#pragma link "TDIEffectInfo"
#pragma link "TDIEnvelope"
#pragma link "TDIFileEffect"
#pragma link "TDIJoyState"
#pragma link "TDIJoyState2"
#pragma link "TDIKeyboardState"
#pragma link "TDIMouseState"
#pragma link "TDIMouseState2"
#pragma link "TDIObjectDataFormat"
#pragma link "TDIPeriodic"
#pragma link "TDIPropDWORD"
#pragma link "TDIPropGuidAndPath"
#pragma link "TDIPropHeader"
#pragma link "TDIPropRange"
#pragma link "TDIPropString"
#pragma link "TDIRampForce"
#pragma link "TDx_Input"
#pragma link "TDx_InputDevice"
#pragma link "TDx_InputEffect"
// --------------------------------------------------------------------------
namespace Tdx_input_library_install
{
void __fastcall Register()
    {
    TComponentClass interface_classes[3] =
        {
        __classid(TDx_Input),
        __classid(TDx_InputDevice),
        __classid(TDx_InputEffect)
        };
    RegisterComponents( "TDx_Input", interface_classes, 3-1 );
    // ----------------------------------------------------------------------
    TComponentClass wrapper_classes[26] =
        {
        __classid(TDICondition),
        __classid(TDIConstantForce),
        __classid(TDICustomForce),
        __classid(TDIDataFormat),
        __classid(TDIDevCaps),
        __classid(TDIDeviceInstance),
        __classid(TDIDeviceObjectData),
        __classid(TDIDeviceObjectInstance),
        __classid(TDIEffEscape),
        __classid(TDIEffect),
        __classid(TDIEffectInfo),
        __classid(TDIEnvelope),
        __classid(TDIFileEffect),
        __classid(TDIJoyState),
        __classid(TDIJoyState2),
        __classid(TDIKeyboardState),
        __classid(TDIMouseState),
        __classid(TDIMouseState2),
        __classid(TDIObjectDataFormat),
        __classid(TDIPeriodic),
        __classid(TDIPropDWORD),
        __classid(TDIPropGuidAndPath),
        __classid(TDIPropHeader),
        __classid(TDIPropRange),
        __classid(TDIPropString),
        __classid(TDIRampForce)
        };
    RegisterComponents( "TDx_Input", wrapper_classes, 26-1 );
    }
}
// --------------------------------------------------------------------------
